import Vue from 'vue'
import Vuex from 'vuex'
import getters from './getters'
import app from './modules/app'
import settings from './modules/settings'
import user from './modules/user'

Vue.use(Vuex)
let saveStateKeys = ['UserInfo'];
const store = new Vuex.Store({
  modules: {
    app,
    settings,
    user
  },
  getters,
  state:{
    UserInfo:window.localStorage.getItem('UserInfo')

  },
  mutations:{
    login(state, provider) {  
			state.hasLogin = true;
			state.UserInfo = provider;
			state.UserInfo = window.localStorage.getItem('UserInfo');
      window.localStorage.setItem('UserInfo',provider)
		},

  }
})

export default store
